/** Enumerates over an array, returning both the value and the index. */
export declare function enumerate<T>(iterable: Iterable<T>): Iterable<[number, T]>;
/** Filters an object by a predicate. */
export declare function filterObject<T extends Record<string, unknown>>(obj: T, predicate: (key: keyof T, value: T[keyof T]) => boolean): Partial<T>;
/** Maps an object. */
export declare function mapObject<T, U>(obj: Record<string, T>, map: (key: string, value: T) => U): Record<string, U>;
/** Filters and maps an object at the same time. */
export declare function filterMapObject<T, U>(obj: Record<string, T>, predicate: (key: string, value: T) => null | U): Record<string, U>;
/** Filter and map an array at the same time. */
export declare function filterMap<T, V>(array: Array<T>, predicate: (item: T) => null | V): Array<V>;
