/** Same as `Number.prototype.toFixed` but floors the stringed value. */
export declare function toFixedFloor(num: number, digits: number): string;
/** Truncates the given number to `precision` significant digits.
 *
 *  This differs from `toPrecision` which rounds the output value.
 */
export declare function truncateToSignificantDigits(num: number, precision: number): string;
/** Remove the `e+/-n` in a stringified number, converting it into a proper
 *  format.
 */
export declare function removeExponentialNotation(num: string): string;
/**
 * Linearly interpolates between two values.
 * @param start - The starting value.
 * @param end - The ending value.
 * @param t - The interpolation value between 0 and 1.
 * @returns The interpolated value between start and end.
 */
export declare function lerp(start: number, end: number, t: number): number;
/** Euler mod of two numbers. */
export declare function mod(a: number, b: number): number;
