/** An implementation of Rust's `Option` type in TypeScript. */
export declare class Option<T> {
    private value;
    constructor(value: ["some", T] | ["none"]);
    static fromNullable<T>(value: T | null): Option<T>;
    isSome(): boolean;
    isNone(): boolean;
    unwrap(): T;
    expect(message: string): T;
    /** Similar to Rust's `match`. */
    match<U>(matcher: {
        some: (value: T) => U;
        none: () => U;
    }): U;
}
export declare function some<T>(value: T): Option<T>;
export declare function none<T = never>(): Option<T>;
