/** An implementation of Rust's `Option` type in TypeScript. */
export class Option {
    value;
    constructor(value) {
        this.value = value;
    }
    static fromNullable(value) {
        if (value === null) {
            return none();
        }
        else {
            return some(value);
        }
    }
    isSome() {
        return this.value[0] === "some";
    }
    isNone() {
        return this.value[0] === "none";
    }
    unwrap() {
        if (this.isSome()) {
            return this.value[1];
        }
        else {
            throw new Error("Unwrapping None option");
        }
    }
    expect(message) {
        if (this.isSome()) {
            return this.value[1];
        }
        else {
            throw new Error(message);
        }
    }
    /** Similar to Rust's `match`. */
    match(matcher) {
        if (this.isSome()) {
            return matcher.some(this.unwrap());
        }
        else {
            return matcher.none();
        }
    }
}
export function some(value) {
    return new Option(["some", value]);
}
export function none() {
    return new Option(["none"]);
}
//# sourceMappingURL=option.js.map