/** Safely parses an integer.
 *
 *  If the input is not an integer, it returns `null`.
 *  If the number is not safely parsed (i.e., is `NaN` or `Infinity`),
 *  it returns `null`.
 *  In the event of a decimal number, such as `1.5`, it returns `null`.
 */
export declare function safeParseInt(x: unknown): number | null;
/** Safely parses a float.
 *
 *  If the input is not a number or parseable number, it returns `null`.
 *  If the number is not safely parsed (i.e., is `NaN` or `Infinity`),
 *  it returns `null`.
 */
export declare function safeParseFloat(x: unknown): number | null;
/** Tries to convert a value into a string. */
export declare function tryString(thing: unknown): string;
